%bcond_with doc

Summary:        Pytest plugin for regression testing
Name:           python-pytest-regressions
Version:        2.5.0
Release:        1%{?dist}
License:        MIT
URL:            https://pytest-regressions.readthedocs.io/
Source0:        https://github.com/ESSS/pytest-regressions/archive/%{version}/pytest-regressions-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  python3-devel
%if %{with doc}
BuildRequires:  python3dist(sphinx) python3dist(sphinx_rtd_theme)
%endif

BuildArch:      noarch

%description
This plugin makes it simple to test general data, images, files, and
numeric tables by saving expected data in a data directory (courtesy
of pytest-datadir) that can be used to verify that future runs produce
the same data.


%package     -n python3-pytest-regressions
Summary:        Pytest plugin for regression testing

%description -n python3-pytest-regressions
This plugin makes it simple to test general data, images, files, and
numeric tables by saving expected data in a data directory (courtesy
of pytest-datadir) that can be used to verify that future runs produce
the same data.


%if %{with doc}
%package        doc
Summary:        Documentation for %{name}
License:        MIT AND BSD-2-Clause

%description    doc
Documentation for %{name}.

%pyproject_extras_subpkg -n python3-pytest-regressions num,image,dataframe
%endif

%prep
%autosetup -n pytest-regressions-%{version}

sed -e 's/\(version = \).*/\1"%{version}"/' \
    -e 's/\(release = \).*/\1"%{version}"/' \
    -i doc/conf.py

sed -e '/"mypy",/d' -e '/"pre-commit",/d' -e '/"restructuredtext-lint",/d' \
    -i setup.py

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_buildrequires -t -x num,image,dataframe


%build
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_wheel

%if %{with doc}
PYTHONPATH=$PWD/build/lib make -C doc html
rst2html --no-datestamp CHANGELOG.rst CHANGELOG.html
rst2html --no-datestamp README.rst README.html
rm doc/_build/html/.buildinfo
%endif


%install
%pyproject_install
%pyproject_save_files pytest_regressions


%check
%tox -- -- -Wdefault


%files -n python3-pytest-regressions -f %{pyproject_files}
%doc CHANGELOG.rst README.rst

%if %{with doc}
%files doc
%doc CHANGELOG.html README.html
%doc doc/_build/html
%endif

%changelog
* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 2.5.0-1
- Initial Build
